# TODO

## Algorithms

1. [x] Hungarian Algorithm (Kuhn-Munkres Algorithm): The Hungarian algorithm is a well-known
algorithm for solving LAP. It provides an efficient way to find the optimal solution by
iteratively finding augmenting paths in a weighted bipartite graph.
2. [x] Jonker-Volgenant Algorithm: The Jonker-Volgenant algorithm is an improvement over the
Hungarian algorithm, particularly for large-scale problems. It is based on shortest path
augmentation and uses a combination of breadth-first search and depth-first search.
3. [x] Auction Algorithm: The Auction algorithm is a competitive pricing approach for solving
LAP. It views the assignment problem as an auction, where agents bid for tasks. The
algorithm iteratively updates the prices (or bids) until an optimal assignment is achieved.
4. [x] Subgradient Algorithm: The Subgradient algorithm is an optimization-based approach for
solving LAP. It formulates the assignment problem as a linear programming problem and
applies subgradient optimization techniques to find the optimal solution.
5. [x] Dantzig’s Algorithm: Dantzig’s algorithm is an iterative algorithm for solving linear
programming problems, including LAP. It starts with an initial feasible solution and improves
it iteratively until the optimal solution is reached.
6. [ ] Sequential Algorithm for Linear Assignment Problems (SALP): SALP is a heuristic algorithm
that solves LAP by iteratively performing row and column reductions to reduce the size of
the problem. It then assigns the reduced problem using a simple greedy strategy.
7. [ ] Ranked Assignment Method (RAM): RAM is a heuristic algorithm that solves LAP by
assigning tasks to agents based on their ranks. It computes the ranks of agents for each task
and assigns tasks to agents with the lowest ranks, iteratively reducing the ranks until an
assignment is achieved


## Release

- [ ] 